> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/order-api/order-api/api-methods/retrieve-a-specific-transaction-for-an-order.md).

# Retrieve A Specific Transaction For An Order

To retrieve a specific transaction for an order and view the transaction status, send a GET request to&#x20;

{% code overflow="wrap" expandable="true" %}

```http
GET /api/v2/Order/{brandOrderReference}/Transaction/{transactionReference}
```

{% endcode %}

If the API request is valid, the response information includes detailed information, such as transaction status, transaction type, transaction reference, reason code, refund amount, and so on. See the following table for response field descriptions.

## Retrieves an order transaction.

> Method to return transaction details

```json
{"openapi":"3.0.1","info":{"title":"Order Transaction API","version":"v2"},"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"GetTransaction":{"type":"object","properties":{"refundAmounts":{"type":"array","items":{"$ref":"#/components/schemas/NamedMoney"},"description":"A list of refund amounts.","nullable":true},"refundAmountsInRetailerCurrency":{"type":"array","items":{"$ref":"#/components/schemas/NamedMoney"},"description":"A list of refund amounts.","nullable":true},"type":{"$ref":"#/components/schemas/OrderTransactionType"},"transactionReference":{"type":"string","description":"Unique reference number of the transaction","format":"uuid"},"status":{"$ref":"#/components/schemas/TransactionStatus"},"transactionDateTime":{"type":"string","description":"The date/time logged by the retailer for the creation of the order in UTC.","format":"date-time"},"actionedBy":{"$ref":"#/components/schemas/ActionedBy"},"actionedByUser":{"type":"string","description":"Identifier for the person who initiated the action, for example, John Smith or johnsmith@test.com.","nullable":true},"reasonCode":{"type":"string","description":"Reason","nullable":true},"lastUpdateTime":{"type":"string","description":"LastUpdateTime","format":"date-time","nullable":true},"creationTime":{"type":"string","description":"CreationTime","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Get Full Transaction Details which includes refund amount"},"NamedMoney":{"required":["name"],"type":"object","properties":{"name":{"minLength":1,"type":"string","description":"Name of the charge."},"value":{"$ref":"#/components/schemas/Money"}},"additionalProperties":false,"description":"Money"},"Money":{"type":"object","properties":{"currency":{"type":"string","description":"Currency three-letter identifier (in the ISO 4217 format).","nullable":true},"amount":{"type":"string","description":"The amount of the currency.","nullable":true}},"additionalProperties":false,"description":"Money"},"OrderTransactionType":{"enum":["OrderCancel","LineItemCancel","OrderAppeasementMerchandise","OrderAppeasementShipping","LineItemAppeasement","LineItemReplacement","Return","BlindReturn","Appeasement","ShippedMerchandise","OrderCreate","OrderRefund","OrderAddressUpdate","LineItemUpdate","LineItemAdd","OrderReplacement","CSPCancel","CSPRefund","OrderPaymentSettled","RefundPaymentProcessed","TransactionSettled","CSPLineItemCancel","ForcedRefund","PaymentDetailsCollected","RefundApprovedAndValidated","UnShippedMerchandise","HoldStatusUpdate","LineItemFulfil","PackageUpdate","OrderAllocated","OrderPartiallyAllocated","PaymentPreAuthReversed","OrderAppeasement"],"type":"string"},"TransactionStatus":{"enum":["Unprocessed","InProgress","Processed","Failed"],"type":"string","description":"Transaction Status"},"ActionedBy":{"enum":["Retailer","Shopper","EShopWorld","ThirdParty"],"type":"string","description":"To define Who initiated the request"},"Error":{"type":"object","properties":{"code":{"type":"integer","description":"Error Identifier code","format":"int32"},"message":{"type":"string","description":"Error Message","nullable":true}},"additionalProperties":false,"description":"Error Response"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/v2/{tenantCode}/Order/{brandOrderReference}/Transaction/{transactionReference}":{"get":{"tags":["Order"],"summary":"Retrieves an order transaction.","description":"Method to return transaction details","operationId":"GetOrderTransaction","parameters":[{"name":"brandOrderReference","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"transactionReference","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"tenantCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Order Details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTransaction"}}}},"400":{"description":"The request is not valid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"No order found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal server error"},"default":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

### Response Example <a href="#response-example" id="response-example"></a>

If the request is successful, the following response is returned:

{% code expandable="true" %}

```json
{
	"type": "OrderCancel",
	"transactionReference": "A6C333A1-E968-2541-914E-5A0E1996424B",
	"status": "Processed",
	"transactionDateTime": "2020-09-01T11:16:46.940Z",
	"actionedBy": "Retailer",
	"actionedByUser": "johnsmith@test.com",
	"reasonCode": "LostPackage",
	"refundAmounts": [
		{
			"Name": "Items",
			"Value": {
				"Amount": 10.0,
				"Currency": "JPY"
			}
		},
		{
			"Name": "ItemTaxes",
			"Value": {
				"Amount": 1.0,
				"Currency": "JPY"
			}
		},
		{
			"Name": "ItemDuties",
			"Value": {
				"Amount": 0.0,
				"Currency": "JPY"
			}
		},
		{
			"Name": "Delivery",
			"Value": {
				"Amount": 1600.0,
				"Currency": "JPY"
			}
		},
		{
			"Name": "DeliveryDuties",
			"Value": {
				"Amount": 0.0,
				"Currency": "JPY"
			}
		},
		{
			"Name": "DeliveryTaxes",
			"Value": {
				"Amount": 0.0,
				"Currency": "JPY"
			}
		},
		{
			"Name": "Total",
			"Value": {
				"Amount": 1771.0,
				"Currency": "JPY"
			}
		}
	],
	"RefundAmountsInRetailerCurrency": [
		{
			"Name": "Items",
			"Value": {
				"Amount": 0.09,
				"Currency": "USD"
			}
		},
		{
			"Name": "ItemTaxes",
			"Value": {
				"Amount": 0.01,
				"Currency": "USD"
			}
		},
		{
			"Name": "ItemDuties",
			"Value": {
				"Amount": 0.0,
				"Currency": "USD"
			}
		},
		{
			"Name": "Delivery",
			"Value": {
				"Amount": 13.91,
				"Currency": "USD"
			}
		},
		{
			"Name": "DeliveryDuties",
			"Value": {
				"Amount": 0.0,
				"Currency": "USD"
			}
		},
		{
			"Name": "DeliveryTaxes",
			"Value": {
				"Amount": 0.0,
				"Currency": "USD"
			}
		},
		{
			"Name": "Total",
			"Value": {
				"Amount": 15.4,
				"Currency": "USD"
			}
		}
	]
}
```

{% endcode %}

If the request is invalid, either the 400 - Bad Request or 404 - Not Found response is returned.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/order-api/order-api/api-methods/retrieve-a-specific-transaction-for-an-order.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
